Name:		sakura
Summary:	A lightweight terminal emulator with very few dependencies
Version:	3.8.5
Release:	%mkrel 1
License:	GPLv2
Group:		Terminals
Url:		http://launchpad.net/sakura
Source0:	http://launchpad.net/sakura/trunk/%{version}/+download/%{name}-%{version}.tar.xz
Source1:	%name-root.desktop
#--------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}vte3-devel
BuildRequires: %{_lib}x11-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wayland-protocols-devel
BuildRequires:	libpthread-stubs
BuildRequires:	desktop-file-utils
#--------------------------------------
Requires:	ncurses-extraterms

%description
Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator
with few dependencies, so you don't need a full GNOME desktop installed to have
a decent terminal emulator. Current terminal emulators based on VTE are
gnome-terminal, XFCE Terminal, TermIt and a small sample program included in
the vte sources. The differences between sakura and the last one are that it
uses a notebook to provide several terminals in one window and adds a
contextual menu with some basic options. No more no less. 

%package root
Summary: root terminal for %name
Group: Terminals
Requires: %name
Requires: gksu
BuildArch: noarch

%description root
Root terminal for %{name}

%prep
%setup -q

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale -DLIB_INSTALL_DIR=%{_libdir} -DCMAKE_C_FLAGS="-std=c11"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

#root terminal
install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications/%name-root.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/terminal-tango.svg
%{_mandir}/man1/%{name}.1*

%files root
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}-root.desktop


%changelog
* Thu Oct 20 2022 tex - 3.8.5-1pclos2022
- new version

* Tue May 19 2020 tex - 3.7.1-1pclos2020
- new version

* Sun Sep 15 2019 tex - 3.7.0-2pclos2019
- rebuild against updates

* Fri Aug 30 2019 tex - 3.7.0-1pclos2019
- new version

* Wed Apr 12 2017 ghostbunny <ghosbunny at gmx dot de> 3.4.0-1pclos2017
- 3.4.0
- add missing BRs desktop-file-utils, libpthread-stubs, wayland-protocols-devel
- add cmake option -DCMAKE_C_FLAGS

* Thu Dec 04 2014 bb <bb> 3.1.5-1pclos2014
- update
- add root terminal
